## python-tatsu-lts 5.13.1%2Bds

=== debian/changelog ===
python-tatsu-lts (5.13.1+ds-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Jan 2025 19:42:24 -0500

python-tatsu-lts (5.13.1+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1093695)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 10:38:31 -0500

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-tatsu-$1.tar.gz%,repack,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
https://github.com/dnicolodi/TatSu-LTS/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-tatsu-lts 5.13.2%2Bds

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = tatsu
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-tatsu-lts 5.13.1+ds

=== debian/changelog ===
python-tatsu-lts (5.13.1+ds-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on python3-pytest-flake8 (see #1068502).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 09:48:15 +0000

=== debian/control ===
Source: python-tatsu-lts
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-pytest <!nocheck>,
 python3-pytest-mypy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.0
Homepage: https://github.com/dnicolodi/TatSu-LTS
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu-lts.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tatsu-lts
Rules-Requires-Root: no
Description: PEG/Packrat parser generator for Python (LTS branch)
 TatSu is a tool that takes grammars in a variation of EBNF as input,
 and outputs memoizing (Packrat) PEG parsers in Python.

Package: python3-tatsu-lts
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-tatsu,
Replaces:
 python3-tatsu,
Provides:
 python3-tatsu,
Description: ${source:Synopsis}
 ${source:Extended-Description}

## python-tatsu-lts 5.13.2+ds

=== debian/changelog ===
python-tatsu-lts (5.13.2+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Oct 2025 14:58:13 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/dnicolodi/TatSu-LTS
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu-lts.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tatsu-lts

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = TatSu_LTS

# Artifacts needed for testing
export PYBUILD_BEFORE_TEST=cp -r grammar {build_dir}/

# Garbage generated by testing
export PYBUILD_AFTER_TEST=rm -rfv {build_dir}/tmp {build_dir}/grammar

%:
	dh $@ --buildsystem=pybuild

## python-tatsu-lts 5.14.0+ds

=== debian/changelog ===
python-tatsu-lts (5.14.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Dec 2025 10:23:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-tatsu-lts
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
@@ -13,11 +12,10 @@
  python3-pytest-mypy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/dnicolodi/TatSu-LTS
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu-lts.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tatsu-lts
-Rules-Requires-Root: no
 Description: PEG/Packrat parser generator for Python (LTS branch)
  TatSu is a tool that takes grammars in a variation of EBNF as input,
  and outputs memoizing (Packrat) PEG parsers in Python.

## python-tatsu-lts 5.16.0+ds

=== Makefile ===

test:  lint documentation examples pytest


pytest: clean
	uv run pytest --cov -v


documentation: sphinx


sphinx:
	cd docs; uv run make -s html > /dev/null


examples: clean g2e_test calc_test


g2e_test:
	cd examples/g2e; uv run make -s clean test > /dev/null
	cd examples/g2e; uv run make -s clean > /dev/null


calc_test:
	cd examples/calc; uv run make -s clean test > /dev/null


lint: ruff ty mypy


ruff:
	uv run ruff check -q --preview --fix tatsu tests examples


mypy:
	uv run mypy --install-types --exclude dist --exclude parsers .


ty:
	uv run ty check --exclude parsers


clean:
	find . -name "__pycache__" -delete
	rm -rf tatsu.egg-info dist build .tox


checks: clean documentation
	uv run hatch run --force-continue test:checks
	@echo version `uv run python -m tatsu --version`


build: clean
	uv run hatch build


test_publish: build
	uv run hatch publish --repo test


publish: checks build
	uv run hatch publish

=== debian/changelog ===
python-tatsu-lts (5.16.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Feb 2026 10:02:36 -0500

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
  dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3,
+ python3-hatchling,
  python3-pytest <!nocheck>,
  python3-pytest-mypy <!nocheck>,
- python3-setuptools,
- python3-setuptools-scm,
 Standards-Version: 4.7.3
 Homepage: https://github.com/dnicolodi/TatSu-LTS
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-tatsu-lts.git
